<?php
require_once "../../maincore.php";
if (!checkrights("IP")) fallback("../index.php");
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (isset($_GET['year'])) {
	if (!is_numeric($_GET['year'])) $y = date('Y');
	else $y = $_GET['year'];
}
if (isset($_GET['month'])) {
	if (!is_numeric($_GET['month'])) $m = date('m');
	else $m = $_GET['month'];
}

if (file_exists(INFUSIONS."logging_stats/locale/".$settings['locale'].".php"))
	include INFUSIONS."logging_stats/locale/".$settings['locale'].".php";
else
	include INFUSIONS."logging_stats/locale/English.php";
echo '<style type="text/css">
ol { list-style: none; padding: 0 0 0 20px; }
</style>';
$months = explode('|', $locale['months']);
opentable($locale['a010']);
$result = dbquery('
	SELECT COUNT(login_id)
	FROM '.$db_prefix.'logging_stats
	WHERE login_date = CURDATE()
	GROUP BY DAYOFMONTH(login_date)
	ORDER BY login_date DESC
');
echo $locale['a011'].': '.dbresult($result, 0).' '.$locale['a012'].'.<br /><br />';
echo $locale['a013'].':<br />';
$year_result = dbquery('
	SELECT COUNT(login_id) AS count, YEAR(login_date) AS year 
	FROM '.$db_prefix.'logging_stats
	GROUP BY YEAR(login_date)
	ORDER BY login_date DESC
');
echo '<ol>';
while ($year = dbarray($year_result)) {
	echo '<li><a href="'.FUSION_SELF.$aidlink.'&amp;year='.$year['year'].'">'.$year['year'].' ('.$year['count'].')</a></li>';
	if (isset($y) && $y == $year['year']) {
		$month_result = dbquery('
			SELECT COUNT(login_id) AS count, MONTH(login_date) AS month 
			FROM '.$db_prefix.'logging_stats
			WHERE YEAR(login_date) = '.$year['year'].'
			GROUP BY MONTH(login_date)
			ORDER BY login_date
		');
		echo '<ol>';
		while ($month = dbarray($month_result)) {
			echo '<li><a href="'.FUSION_SELF.$aidlink.'&amp;year='.$year['year'].'&amp;month='.$month['month'].'">'.$months[$month['month']].' ('.$month['count'].')</a></li>';
			if (isset($m) && $m == $month['month']) {
				$day_result = dbquery('
					SELECT COUNT(login_id) AS count, DAYOFMONTH(login_date) AS day 
					FROM '.$db_prefix.'logging_stats
					WHERE YEAR(login_date) = '.$year['year'].' AND MONTH(login_date) = '.$month['month'].'
					GROUP BY DAYOFMONTH(login_date)
					ORDER BY login_date
				');
				echo '<ol>';
				while ($day = dbarray($day_result)) {
					echo '<li>'.$day['day'].' ('.$day['count'].')</li>';
				}
				echo '</ol>';
			}
		}
		echo '</ol>';
	}
}
echo '</ol>';
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
