<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."logging_stats/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."logging_stats/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."logging_stats/locale/English.php";
}

// Infusion general information
$inf_title = $locale['a001'];
$inf_description = $locale['a002'];
$inf_version = "1.0";
$inf_developer = "Rafa \"metaxy\" Nowak";
$inf_email = "metaxy@wp.pl";
$inf_weburl = "http://metaxy.eu";

$inf_folder = "logging_stats"; // The folder in which the infusion resides.
$inf_admin_image = "eps.gif"; // Leave blank to use the default image.
$inf_admin_panel = "view.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "logging_stats (
  `login_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` smallint(5) unsigned NOT NULL,
  `login_date` date NOT NULL,
  PRIMARY KEY  (`login_id`)
) ENGINE=MyISAM; 
";

@mysql_query("ALTER TABLE ".DB_PREFIX."logging_stats ADD UNIQUE `user` (
  `user_id` ,
  `login_date`
);");


$inf_droptable_[1] = "logging_stats";
?>
